API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers APIOperations APIMessaging API
Reporting APIML APIData API
IndexPublic APIManagement APIUsers APIOperations APIMessaging API
Reporting APIML APIData API
  1. Templates
  • Introduction
  • Templating system
  • Message model
  • Sending model
  • Messages
    • Campaigns
      • Introduction
      • Duplicate Campaign
      • Create Campaign
      • List Campaigns
      • Show Campaign
      • Update Campaign
      • Archive Campaign
      • Restore Campaign
      • Destroy Campaign
    • Create Message
      POST
    • List Messages
      GET
    • Show Message
      GET
    • List Message Sendings
      GET
    • Update Message
      PUT
    • Duplicate Message
      PUT
    • Delete Message
      DELETE
    • List Messages Overview
      GET
  • Sendings
    • Show Sending
      GET
    • Create Sending
      POST
    • Update Sending
      PUT
    • Cancel Sending
      PUT
  • Templates
    • Introduction
    • Bee Templates
      • Introduction
      • List Bee Email Templates
      • Show Bee Email Template
      • List Bee Email Templates Tags
    • List Templates
      GET
    • Show Template
      GET
    • Create Template
      POST
    • Update Template
      PUT
    • Share Template
      PUT
    • Destroy Template
      DELETE
  • Misc
    • List Messaging Services
      GET
    • List Merge Properties
      GET
    • Show Messaging Settings
      GET
  1. Templates

Share Template

PUT
https://api.mpc.dev.placewise.com/v1/messages/templates/{id}/share
API Permit:Messages:Api:Templates:Update
API Context:Loyalty Club
Authorizations:UserToken
Allows sharing templates within organization - with whole organization or specific customers.
Only allowed in regular Loyalty Clubs

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠404Record Not Found
🟠422Invalid Parameters
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request PUT 'https://api.mpc.dev.placewise.com/v1/messages/templates/1/share' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json' \
--data-raw '{
    "organization": true
}'
Response Response Example
200 - Example 1
{
    "template": {
        "name": "Robin Sawayn",
        "type": "generic",
        "content": {
            "language": "ut",
            "body": "Hi {{name}}",
            "subject": "Welcome!",
            "url": "https://understated-guard.name/",
            "image_url": "https://loremflickr.com/400/400?lock=6254426832483057",
            "data": {
                "foo": "bar"
            },
            "android_payload": {},
            "ios_payload": {}
        },
        "translations": null,
        "wrapper_id": null,
        "sharing": {
            "state": "granted_to_organization"
        }
    }
}
Previous
Update Template
Next
Destroy Template
Built with